> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/queuejob.md).

# QueueJob

Attributes of the QueueJob type

| Name           | Type            | Description                                                                      |
| -------------- | --------------- | -------------------------------------------------------------------------------- |
| activeJobId    | String          | ActiveJob UUID, as seen in logs                                                  |
| arguments      | JSON            | The full serialized job payload                                                  |
| attempts       | Int             | Executions so far, taken from the payload                                        |
| concurrencyKey | String          |                                                                                  |
| enqueuedAt     | ISO8601DateTime |                                                                                  |
| error          | String          | Failure message, present only for failed jobs                                    |
| finishedAt     | ISO8601DateTime |                                                                                  |
| id             | ID              |                                                                                  |
| jobClass       | String          |                                                                                  |
| priority       | Int             |                                                                                  |
| queue          | String          |                                                                                  |
| scheduledAt    | ISO8601DateTime |                                                                                  |
| state          | String          | ready, scheduled, running, blocked, failed or finished                           |
| warren         | String          | Subdomain of the job's warren, or null when it has none                          |
| warrenId       | Int             | Warren the job was enqueued for; null for recurring jobs, which span all warrens |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/queuejob.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
